#! /bin/sh

# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.13 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_help="$ac_help
  --with-build=DIR        select which system to build (jacl or tclblend)"
ac_help="$ac_help
  --with-kaffe=DIR        use Kaffe-JVM binaries from DIR"
ac_help="$ac_help
  --with-jdk=DIR          use Sun's JDK Java binaries from DIR, defaults to the value of the JAVA_HOME environment variable"
ac_help="$ac_help
  --with-jikes=PROG       use jikes compiler given by PROG, if PROG is not given look for jikes on the PATH."
ac_help="$ac_help
  --with-tcl=DIR          build directory for Tcl 8.X source release from DIR"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir="$ac_optarg" ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir="$ac_optarg" ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir="$ac_optarg" ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir="$ac_optarg" ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir="$ac_optarg" ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir="$ac_optarg" ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir="$ac_optarg" ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir="$ac_optarg" ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir="$ac_optarg" ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.13"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
    ;;

  *)
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set these to C if already set.  These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=../src/tcljava/tcl/lang/InternalRep.java

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  echo "loading cache $cache_file"
  . $cache_file
else
  echo "creating cache $cache_file"
  > $cache_file
fi

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi


# RCS: @(#) $Id: configure.in,v 1.24 1999/11/02 00:10:01 redman Exp $


#--------------------------------------------------------------------
# 	Version identification info (also set in source files)
#--------------------------------------------------------------------
TCLJAVA_VERSION=1.2.5
TCLJAVA_NODOT_VERSION=`echo $TCLJAVA_VERSION | sed -e 's/\.//g'`

# Convert into full path name
srcdir=`cd $srcdir ; pwd`

MSG="srcdir is $srcdir"
echo $MSG >&5
echo $MSG



# the very first thing we need to do update the dist version number.
# we only need to do this when releasing new versions of the code
# so only the code maintainer will need to do this.

TOOLS=$srcdir/tools

if test -d $TOOLS ; then

    # Check that grep is working by looking for the match to the
    # current version number in the configure.in file.

    if env grep "TCLJAVA_VERSION=$TCLJAVA_VERSION" $srcdir/configure.in > /dev/null; then
        DO=nothing
    else
	{ echo "configure: error: TCLJAVA_VERSION grep failed.
        did you rerun autoconf after changing the version number in configure.in?" 1>&2; exit 1; }
    fi

    # Check that the files we need actually exist

    if test ! -d $TOOLS/vutil ; then
	echo "$TOOLS/vutil does not exist"
	exit 1
    fi

    if test ! -f $TOOLS/vutil/vsub.sh ; then
	echo "$TOOLS/vutil/vsub.sh does not exist"
	exit 1
    fi

    # Find out if we need to update the version numbers by checking to
    # see if the one we got differs from the one in the file "current".

    if env grep "TCLJAVA_VERSION=$TCLJAVA_VERSION" $TOOLS/vutil/current > /dev/null; then
        # If they are the same we do not need to update
	DO=nothing
    else
        # Otherwise we do need to update
        echo "Updating version numbers in the source files to $TCLJAVA_VERSION"
	
        TMP_CWD=`pwd`
        cd $TOOLS/vutil
        sh vsub.sh $TCLJAVA_VERSION
        cd $TMP_CWD
    fi
fi




# Output file ids
# 6 checking for... messages and results
# 5 compiler messages saved in config.log


#--------------------------------------------------------------------
#	Locate which java tool to build.  If the --with-build option
#	is used, that overides everthing.  Otherwise configure for
#	both Tcl Blend and Jacl.
#--------------------------------------------------------------------

# Check whether --with-build or --without-build was given.
if test "${with_build+set}" = set; then
  withval="$with_build"
  TCLJAVA=$withval
else
  TCLJAVA=NONE
fi


if test $TCLJAVA != "NONE"; then
    if test $TCLJAVA != "jacl" && test $TCLJAVA != "tclblend"; then 
	{ echo "configure: error: Cannot build --with-build='$TCLJAVA': use 'jacl' or 'tclblend'" 1>&2; exit 1; }
    fi
fi

#BOTH will automatically be set to true when configuring Jacl and Tcl Blend
BOTH=false


if test $TCLJAVA = "NONE"; then
    if test -f $srcdir/../src/tclblend/tcl/lang/Interp.java; then
	TCLJAVA=tclblend
    elif test -f $srcdir/../src/jacl/tcl/lang/Interp.java; then 
	TCLJAVA=jacl
    else
	{ echo "configure: error: Cannot find source files to build either Jacl or Tcl Blend" 1>&2; exit 1; }
    fi

    if test -f $srcdir/../src/jacl/tcl/lang/Interp.java && test $TCLJAVA = "tclblend"; then
        MSG="configuring for both jacl and tcl blend"
        echo $MSG >&5
        echo $MSG
        BOTH=true
    fi
fi




#
# These variables are used to keep track of info about the JVM install
# that we are using. Different JVMs will have different things that
# need to be tested so we need to be able to determine which one we
# are using when running configure. Once the Makefile is create we
# SHOULD NOT need to know which JVM we are using to compile.
#

# The root is the java install
JAVA_DIR=""

# One of jdk (the default), kaffe, japhar, ...
JAVA_NAME=""




#--------------------------------------------------------------------
#	See if there was a command-line option for where the kaffe is;
#       if it is none, look for kaffe on the path.
#--------------------------------------------------------------------

# Check whether --with-kaffe or --without-kaffe was given.
if test "${with_kaffe+set}" = set; then
  withval="$with_kaffe"
  KAFFE_DIR=$withval
else
  KAFFE_DIR=NONE
fi


if test "$KAFFE_DIR" != "NONE"; then
    # if --with-kaffe was given then we need to make sure no other JVM was
    # configured with a --with option

    if test "$JAVA_NAME" != ""; then
        { echo "configure: error: --with-kaffe can not be used with the --with-$JAVA_NAME option." 1>&2; exit 1; };
    fi

    if test ! -d "$KAFFE_DIR"; then
        { echo "configure: error: directory '$KAFFE_DIR' given to --with-kaffe option does not exist." 1>&2; exit 1; }
    fi

    JAVA_NAME=kaffe


    # currently the kaffe JVM does not work well enough to be used
    # to build and run tcl blend or jacl. Once it does work this
    # error message should be removed so that --with-kaffe can be used

    #echo "Sorry: --with-kaffe is currently disabled because of bugs in"
    #echo "       the implementation of the kaffe JVM. Once the bugs"
    #echo "       in kaffe are fixed it will be enabled."
    #exit 1

fi

if test "$JAVA_NAME" = "kaffe" && test ! -d "$KAFFE_DIR"; then
    if test "$KAFFE_DIR" != "" && test "$KAFFE_DIR" != "yes"; then
        echo "configure: warning: '$KAFFE_DIR' is not a directory, so we search for the kaffe." 1>&2
    fi
    # Extract the first word of "kaffe", so it can be a program name with args.
set dummy kaffe; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:717: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TMP_KAFFE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TMP_KAFFE" in
  /*)
  ac_cv_path_TMP_KAFFE="$TMP_KAFFE" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_TMP_KAFFE="$TMP_KAFFE" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TMP_KAFFE="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TMP_KAFFE="$ac_cv_path_TMP_KAFFE"
if test -n "$TMP_KAFFE"; then
  echo "$ac_t""$TMP_KAFFE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test -x "$TMP_KAFFE"; then	
	TMP_KAFFE=`dirname $TMP_KAFFE`
	KAFFE_DIR=`dirname $TMP_KAFFE`
    else
        { echo "configure: error: Failed to find kaffe, perhaps kaffe is not installed?
Try --with-kaffe=DIR." 1>&2; exit 1; }
    fi
fi

if test "$JAVA_NAME" = "kaffe"; then
    if test -d "$KAFFE_DIR"; then
        # Convert into full path name
        JAVA_DIR=`cd $KAFFE_DIR ; pwd`
    else
        { echo "configure: error: kaffe directory '$KAFFE_DIR' does not exist, perhaps kaffe is not installed?
Try --with-kaffe=DIR." 1>&2; exit 1; }
    fi
fi






#--------------------------------------------------------------------
#	See if there was a command-line option for where the JDK is;  if
#	not, check to see if the JAVA_HOME environment variable is set;
#       if it is none, look for javac on the path. The -with-jdk option
#       must be processed after any other --with options for JVMs.
#--------------------------------------------------------------------

# Check whether --with-jdk or --without-jdk was given.
if test "${with_jdk+set}" = set; then
  withval="$with_jdk"
  JDK_DIR=$withval
else
  JDK_DIR=NONE
fi


if test "$JDK_DIR" = "NONE"; then
    # no --with-jdk argument was given so we default to the value in JAVA_HOME
    # as long a no other JVM was configured with the --with option

    if test "$JAVA_NAME" = ""; then
        JAVA_NAME=jdk
        JDK_DIR=$JAVA_HOME
    fi
else
    # if --with-jdk was given then we need to make sure no other JVM was
    # configured with a --with option

    if test "$JAVA_NAME" != ""; then
        { echo "configure: error: --with-jdk can not be used with the --with-$JAVA_NAME option." 1>&2; exit 1; }
    fi

    if test "$JDK_DIR" != "yes" && test ! -d "$JDK_DIR"; then
        { echo "configure: error: directory '$JDK_DIR' given to --with-jdk option does not exist." 1>&2; exit 1; }
    fi

    JAVA_NAME=jdk
fi

if test "$JAVA_NAME" = "jdk" && test ! -d "$JDK_DIR"; then
    if test "$JDK_DIR" != "" && test "$JDK_DIR" != "yes"; then
        echo "configure: warning: '$JDK_DIR' is not a directory, so we search for the java compiler." 1>&2
    fi
    # Extract the first word of "javac", so it can be a program name with args.
set dummy javac; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:819: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TMP_JAVAC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TMP_JAVAC" in
  /*)
  ac_cv_path_TMP_JAVAC="$TMP_JAVAC" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_TMP_JAVAC="$TMP_JAVAC" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TMP_JAVAC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TMP_JAVAC="$ac_cv_path_TMP_JAVAC"
if test -n "$TMP_JAVAC"; then
  echo "$ac_t""$TMP_JAVAC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test -x "$TMP_JAVAC"; then	
	TMP_JAVAC=`dirname $TMP_JAVAC`
	JDK_DIR=`dirname $TMP_JAVAC`
    else
        { echo "configure: error: Failed to find javac, perhaps Java is not installed?
Try --with-jdk=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; }
    fi
fi

if test "$JAVA_NAME" = "jdk"; then
    if test -d "$JDK_DIR"; then
        # Convert into full path name
        JAVA_DIR=`cd $JDK_DIR ; pwd`
    else
        { echo "configure: error: jdk directory '$JDK_DIR' does not exist, perhaps Java is not installed?
Try --with-jdk=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; }
    fi
fi


# At this point we should have found a valid JVM so we check for
# the valid possibilities now so we can skip extra checks later

case "$JAVA_NAME" in
    jdk) DO=nothing ;;
    kaffe) DO=nothing ;;
    *) { echo "configure: error: '$JAVA_NAME' is not a supported JVM" 1>&2; exit 1; } ;;
esac


MSG="Java found at $JAVA_DIR"
echo $MSG
echo $MSG >&5
echo "JAVA_NAME is $JAVA_NAME" >&5



#------------------------------------------------------------------
#
# Check to make sure we know the names of the .zip or .jar files
# that need to be included in the CLASSPATH
#
#------------------------------------------------------------------

echo $ac_n "checking for zip or jar files to include on CLASSPATH""... $ac_c" 1>&6
echo "configure:896: checking for zip or jar files to include on CLASSPATH" >&5
JAVA_CLASSPATH=""

if test "$JAVA_NAME" = "kaffe"; then
    if test -f $JAVA_DIR/share/kaffe/Klasses.jar; then
        JAVA_CLASSPATH=$JAVA_DIR/share/kaffe/Klasses.jar
    fi
elif test "$JAVA_NAME" = "jdk"; then
    if test -f $JAVA_DIR/lib/classes.zip; then
        # JDK1.1 requires classes.zip in CLASSPATH
        JAVA_CLASSPATH=$JAVA_DIR/lib/classes.zip
    elif test -f $JAVA_DIR/jre/lib/rt.jar; then
        # JDK1.2 does not require system libs in CLASSPATH
        # but we need them for compilers and tclblend
        JAVA_CLASSPATH=$JAVA_DIR/jre/lib/rt.jar
    elif test "`uname -s`" = "IRIX"; then
        # JDK1.1.5 under IRIX
        if test -f $JAVA_DIR/lib/rt.jar; then
            JAVA_CLASSPATH=$JAVA_DIR/lib/rt.jar
        else
            { echo "configure: error: could not find $JAVA_DIR/lib/rt.jar for IRIX system" 1>&2; exit 1; }
        fi
        if test -f $JAVA_DIR/lib/dev.jar; then
            JAVA_CLASSPATH=$JAVA_CLASSPATH:$JAVA_DIR/lib/dev.jar
        fi
    fi
fi

if test "$JAVA_CLASSPATH" = ""; then
    { echo "configure: error: could not find zip or jar files to include on CLASSPATH." 1>&2; exit 1; }
else
    echo "Using JAVA_CLASSPATH=$JAVA_CLASSPATH" >&5
    echo "$ac_t""$JAVA_CLASSPATH" 1>&6
fi



#------------------------------------------------------------------
#
# Check for the java runtime
#
#------------------------------------------------------------------

echo $ac_n "checking for the java runtime""... $ac_c" 1>&6
echo "configure:940: checking for the java runtime" >&5
case "$JAVA_NAME" in
    jdk) NAME=java ;;
    kaffe) NAME=kaffe ;;
esac
if test -x $JAVA_DIR/bin/$NAME; then
    JAVA=$JAVA_DIR/bin/$NAME
    echo "Using JAVA=$JAVA" >&5
    echo "$ac_t""$JAVA" 1>&6
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/$NAME." 1>&2; exit 1; }
fi

#------------------------------------------------------------------
#
# Check for the remote debug java_g runtime
#
#------------------------------------------------------------------

echo $ac_n "checking for the java_g runtime""... $ac_c" 1>&6
echo "configure:961: checking for the java_g runtime" >&5
case "$JAVA_NAME" in
    jdk) NAME=java_g ;;
    kaffe) NAME=kaffe ;;
esac
if test -x $JAVA_DIR/bin/$NAME; then
    JAVA_G=$JAVA_DIR/bin/$NAME
    echo "Using JAVA_G=$JAVA_G" >&5
    echo "$ac_t""$JAVA_G" 1>&6
else
    echo "configure: warning: 
  Cannot find $JAVA_DIR/bin/$NAME." 1>&2
fi



#------------------------------------------------------------------
#
# Check for the javac compiler
#
#------------------------------------------------------------------

echo $ac_n "checking for the java compiler""... $ac_c" 1>&6
echo "configure:984: checking for the java compiler" >&5
case "$JAVA_NAME" in
    jdk) NAME=javac ;;
    kaffe) NAME=javac ;;
esac
if test -x $JAVA_DIR/bin/$NAME; then
    JAVAC=$JAVA_DIR/bin/$NAME
    echo "Using JAVAC=$JAVAC" >&5
    echo "$ac_t""$JAVAC" 1>&6
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/$NAME." 1>&2; exit 1; }
fi





#------------------------------------------------------------------
#
# Check that we have the javah .h header generator
#
#------------------------------------------------------------------

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

echo $ac_n "checking for the java header program""... $ac_c" 1>&6
echo "configure:1011: checking for the java header program" >&5
case "$JAVA_NAME" in
    jdk) NAME=javah ;;
    kaffe) NAME=kaffeh ;;
esac
if test -x $JAVA_DIR/bin/$NAME; then
    JAVAH=$JAVA_DIR/bin/$NAME
    echo "Using JAVAH=$JAVAH" >&5
    echo "$ac_t""$JAVAH" 1>&6
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/$NAME." 1>&2; exit 1; }
fi

fi


#------------------------------------------------------------------
#
# Check that we have the jar archive utility
#
#------------------------------------------------------------------

echo $ac_n "checking for the java archive program""... $ac_c" 1>&6
echo "configure:1035: checking for the java archive program" >&5
case "$JAVA_NAME" in
    jdk) NAME=jar ;;
    kaffe) NAME=jar ;;
esac
if test -x $JAVA_DIR/bin/$NAME; then
    JAR=$JAVA_DIR/bin/$NAME
    echo "Using JAR=$JAR" >&5
    echo "$ac_t""$JAR" 1>&6
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/$NAME." 1>&2; exit 1; }
fi




#------------------------------------------------------------------
#
# Check that we have the jdb java debugger program
# jdb functionality will not be tested by the configure script
#
#------------------------------------------------------------------

if test $TCLJAVA = "jacl" || test $BOTH = "true"; then

    echo $ac_n "checking for the java debugger program""... $ac_c" 1>&6
echo "configure:1062: checking for the java debugger program" >&5
    case "$JAVA_NAME" in
        jdk) NAME=jdb ;;
        kaffe) NAME=jdb ;;
    esac
    if test -x $JAVA_DIR/bin/$NAME; then
        JDB=$JAVA_DIR/bin/$NAME
        echo "Using JDB=$JDB" >&5
        echo "$ac_t""$JDB" 1>&6
    else
        { echo "configure: error: Cannot find $JAVA_DIR/bin/$NAME." 1>&2; exit 1; }
    fi
fi


#------------------------------------------------------------------
#
# Look on the path for ddd, if it is not found do nothing
# ddd functionality will not be tested by the configure script
#
#------------------------------------------------------------------

# Extract the first word of "ddd", so it can be a program name with args.
set dummy ddd; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1087: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TMP_DDD'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TMP_DDD" in
  /*)
  ac_cv_path_TMP_DDD="$TMP_DDD" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_TMP_DDD="$TMP_DDD" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TMP_DDD="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TMP_DDD="$ac_cv_path_TMP_DDD"
if test -n "$TMP_DDD"; then
  echo "$ac_t""$TMP_DDD" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

if test -x "$TMP_DDD"; then
    DDD=$TMP_DDD
fi





#--------------------------------------------------------------------
#	See if there was a command-line option for where jikes is; if
#       there was a command line option given but no argument was given
#       then search for jikes on the PATH.
#--------------------------------------------------------------------

# Check whether --with-jikes or --without-jikes was given.
if test "${with_jikes+set}" = set; then
  withval="$with_jikes"
  JIKES=$withval
else
  JIKES=yes
fi


if test "$JIKES" = "no"; then
    #do nothing
    JIKES=""
else
    echo $ac_n "checking for the jikes java compiler""... $ac_c" 1>&6
echo "configure:1147: checking for the jikes java compiler" >&5
    if test "$JIKES" = "" || test "$JIKES" = "yes"; then
        echo "$ac_t""searching on PATH" 1>&6
        # Extract the first word of "jikes", so it can be a program name with args.
set dummy jikes; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1153: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TMP_JIKES'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TMP_JIKES" in
  /*)
  ac_cv_path_TMP_JIKES="$TMP_JIKES" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_TMP_JIKES="$TMP_JIKES" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TMP_JIKES="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TMP_JIKES="$ac_cv_path_TMP_JIKES"
if test -n "$TMP_JIKES"; then
  echo "$ac_t""$TMP_JIKES" 1>&6
else
  echo "$ac_t""no" 1>&6
fi


        if test "$TMP_JIKES" = ""; then
            MSG="Could not find jikes on the PATH. Defaulting to javac."
            echo $MSG >&5
            echo "$ac_t""$MSG" 1>&6
            JIKES=""
        else
            JIKES=$TMP_JIKES
        fi
    fi

    if test "$JIKES" != ""; then

        # Make sure jikes exists and is executable
        if test ! -f $JIKES || test ! -x $JIKES; then
            { echo "configure: error: jikes executable '$JIKES' does not exist or is not executable." 1>&2; exit 1; }
        fi

        echo "$ac_t""$JIKES" 1>&6

        JAVAC=$JIKES
        echo "Using JAVAC=$JAVAC" >&5
    fi

fi







#
# If we are compiling tclblend, then we need to:
# 1. Check that we have the native threads pack
# 2. Find the platform dependent include files
# 3. Find the platform dependent libraries
#

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

    # Find the main java include directory

    case "$JAVA_NAME" in
        jdk)
            case "`uname -s`" in
	        OSF1)
                    JAVA_INCLUDE=$JAVA_DIR/include/java
                    ;;
                *)
                    JAVA_INCLUDE=$JAVA_DIR/include
                    ;;
            esac
            ;;
        kaffe)
            JAVA_INCLUDE=$JAVA_DIR/include/kaffe
            ;;
    esac

    if test ! -d $JAVA_INCLUDE; then
        { echo "configure: error: include directory $JAVA_INCLUDE does not exist." 1>&2; exit 1; }
    fi


    # We need to #include <jni.h> so make sure that we can find it

    echo $ac_n "checking for jni.h include file""... $ac_c" 1>&6
echo "configure:1252: checking for jni.h include file" >&5
    if test ! -f $JAVA_INCLUDE/jni.h; then
        { echo "configure: error: Can not find JNI include file $JAVA_INCLUDE/jni.h." 1>&2; exit 1; }
    else
        echo "Found JNI include file $JAVA_INCLUDE/jni.h." >&5
        echo "$ac_t""$JAVA_INCLUDE/jni.h." 1>&6
    fi


    # Find out if we are using the JNI 1.1 or 1.2 interfaces

    echo $ac_n "checking for JDK1_2 in $JAVA_INCLUDE/jni.h""... $ac_c" 1>&6
echo "configure:1264: checking for JDK1_2 in $JAVA_INCLUDE/jni.h" >&5

    if env grep JDK1_2 $JAVA_INCLUDE/jni.h | grep define 1>&5 2>&5 ; then
        JAVA_VERSION=1.2
        MSG="Looks like you are using a 1.2 JVM"
        echo $MSG >&5
        echo "$ac_t""$MSG" 1>&6
    else
        JAVA_VERSION=1.1
        MSG="Looks like you are using a 1.1 JVM"
        echo $MSG >&5
        echo "$ac_t""$MSG" 1>&6
    fi

    if test "$JAVA_VERSION" != "1.1" && test "$JAVA_VERSION" != "1.2"; then
        MSG="JAVA_VERSION must be one of 1.1 or 1.2, is was \"$JAVA_VERSION\""
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi



    # Start JDK only tests

    if test "$JAVA_NAME" = "jdk"; then

    #
    # Do checks that differ for each platform in one place
    #
    # 1) make sure native threads pack is installed
    # 2) Find the proper platform include directory
    # 3) Find the proper platform lib directory


    # Ugly hack needed for Sun's "production" directory structure
    PRODUCTION_RELEASE=0


    # Keep case statements in alphabetical order.
    case "`uname -s`" in
	HP-UX)
	    if test ! -d $JAVA_INCLUDE/native_threads; then
                { echo "configure: error: '$JAVA_INCLUDE/native_threads'
does not exist. You must install the JDK Native Threads Pack to use tclblend.
See http://www.hp.com/esy/technology/jdk/products/software.html." 1>&2; exit 1; }
            fi

            JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/hp-ux

            ARCH=PA_RISC
            ARCH_LIBNAME=lib
            ARCH_LIB=${ARCH_LIBNAME}/${ARCH}

            JAVA_SHLIB=libjava.sl
            TCLBLEND_LIBS="-lpthread -ljava"
            TCLBLEND_SHLIB_NAMES="libpthread.sl libjava.sl"

            TCLBLEND_LD_PRELOAD=
            TCLBLEND_LD_BIND_NOW=0

            ;;
	IRIX)
	    if test ! -d $JAVA_INCLUDE/native_threads; then
                { echo "configure: error: '$JAVA_INCLUDE/native_threads'
does not exist. You must install the JDK Native Threads Pack to use tclBlend.
See http://www.sgi.com/Products/Evaluation/#jdk." 1>&2; exit 1; }
            fi

            JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/irix

            ARCH=sgi
            ARCH_LIBNAME=lib32

            if test -d $JAVA_DIR/lib; then
                MSG="IRIX 64 bit java libs found, but using 32 bit libs by default"
                echo $MSG >&5
                echo "configure: warning: $MSG" 1>&2
            fi

            ARCH_LIB=${ARCH_LIBNAME}/${ARCH}

            JAVA_SHLIB=libjava.so
            TCLBLEND_LIBS="-ljava -lpthread"
            TCLBLEND_SHLIB_NAMES="libjava.so libpthread.so"

            TCLBLEND_LD_PRELOAD=
            TCLBLEND_LD_BIND_NOW=1

            ;;
	Linux)
	    if test "$JAVA_VERSION" = "1.1" && \
                test ! -d $JAVA_INCLUDE/native_threads; then
                { echo "configure: error: '$JAVA_INCLUDE/native_threads'
does not exist. You must install the JDK Native Threads Pack to use tclblend.
See http://www.blackdown.org/java-linux.html." 1>&2; exit 1; }
            fi

            # Early Blackdown JDK include dir name was genunix
            if test -d $JAVA_INCLUDE/genunix; then
                JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/genunix
            else
                JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/linux
            fi

            case "`uname -m`" in
                alpha)  ARCH=alpha ;;
                i?86)   ARCH=i386 ;;
                mips)   ARCH=mips ;;
                ppc)    ARCH=ppc ;;
                sparc)  ARCH=sparc ;;
                *)      { echo "configure: error: ARCH '`uname -m`' is not supported" 1>&2; exit 1; } ;;
            esac

            ARCH_LIBNAME=lib
            ARCH_LIB=${ARCH_LIBNAME}/${ARCH}

            JAVA_SHLIB=libjava.so
            TCLBLEND_LIBS="-lpthread -ljava"
            TCLBLEND_SHLIB_NAMES="libpthread.so libjava.so"

            TCLBLEND_LD_PRELOAD="libpthread.so libjava.so"
            TCLBLEND_LD_BIND_NOW=1

            MSG="Using AWT GUI components under Tcl Blend with the Linux port of the JDK from Blackdown requires a special modification to jtclsh and the Makefile. See known_issues.txt for more info."
            echo $MSG >&5
            echo "configure: warning: $MSG" 1>&2

            ;;
        OSF1)
            JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/alpha

            # Digital UNIX does not use the same arch and lib
            # setup as other JVMs
            ARCH_LIB=shlib

            JAVA_SHLIB=libjava.so
            TCLBLEND_LIBS="-ljava"
            TCLBLEND_SHLIB_NAMES="libjava.so"

            TCLBLEND_LD_PRELOAD=
            TCLBLEND_LD_BIND_NOW=0

            ;;
	SunOS) 
	    if test ! -d $JAVA_INCLUDE/native_threads; then
		if test "$JAVA_VERSION" = "1.1"; then
		    if test -r $JAVA_DIR/lib/sparc/native_threads; then
			echo "$ac_t""'$JAVA_INCLUDE/native_threads'
does not exist, but '$JAVA_DIR/lib/sparc/native_threads' is readable,
so you are probably running the production JDK." 1>&6
		    else
                        { echo "configure: error: '$JAVA_INCLUDE/native_threads'
does not exist. You must install the Solaris JDK Native Threads Pack to
use tclblend. See http://www.javasoft.com/products/jdk/1.1/index.html." 1>&2; exit 1; }
                    fi
		fi
	    fi

            JAVA_ARCH_INCLUDE=$JAVA_INCLUDE/solaris

            ARCH=sparc
            ARCH_LIBNAME=lib
            ARCH_LIB=${ARCH_LIBNAME}/${ARCH}

            JAVA_SHLIB=libjava.so
            TCLBLEND_LIBS="-lthread -ljava"
            TCLBLEND_SHLIB_NAMES="libthread.so libjava.so"

            TCLBLEND_LD_PRELOAD=
            TCLBLEND_LD_BIND_NOW=0


            # Check for a "production" release which is really #@&%$ ugly.
            # It would of course be too much to ask for Sun to stick to
            # a single directory naming system.
            
            if  test ! -d $JAVA_DIR/$ARCH_LIB/green_threads &&
                test ! -d $JAVA_DIR/$ARCH_LIB/native_threads &&
                test ! -d $JAVA_DIR/jre/$ARCH_LIB/green_threads &&
                test ! -d $JAVA_DIR/jre/$ARCH_LIB/native_threads ; then
                PRODUCTION_RELEASE=1
                MSG="Sun JDK Production Release Detected."
                echo $MSG >&5
                echo "$ac_t""$MSG" 1>&6
            fi

	    ;;
	*)
            { echo "configure: error: Sorry, the `uname -s` platform is not supported. You will need to edit the configure.in file to add the proper platform include and lib directories in order to configure and compile tclblend." 1>&2; exit 1; }
            ;;
    esac


    #
    # Check architecture specific include directory
    #

    echo $ac_n "checking for jni_md.h include file""... $ac_c" 1>&6
echo "configure:1462: checking for jni_md.h include file" >&5
    if test -f $JAVA_ARCH_INCLUDE/jni_md.h; then
        MSG="$JAVA_ARCH_INCLUDE/jni_md.h"
        echo "Found $MSG" >&5
        echo "$ac_t""$MSG" 1>&6
    else
        MSG="Could not find $JAVA_ARCH_INCLUDE/jni_md.h"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi


    #
    # Check architecture specific lib directories
    #

    echo $ac_n "checking the jdk arch lib directory""... $ac_c" 1>&6
echo "configure:1479: checking the jdk arch lib directory" >&5

    if test "$JAVA_VERSION" = "1.1"; then

        DIR=$JAVA_DIR/$ARCH_LIB
        if test ! -d $DIR; then
            MSG="jdk arch directory $DIR does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        fi

        DIR=$JAVA_DIR/$ARCH_LIB/green_threads
        if test ! -d $DIR; then
            MSG="jdk arch directory $DIR does not exist"
            echo $MSG >&5
            echo "configure: warning: $MSG" 1>&2
        else
            JAVA_ARCH_GREEN_LIB=$DIR
            JAVA_ARCH_GREEN_RUNTIME_LIBS=$DIR
        fi

        LIB=$DIR/$JAVA_SHLIB
        if test ! -f $LIB; then
            MSG="jdk shared library $LIB does not exist"
            echo $MSG >&5
            echo "configure: warning: $MSG" 1>&2
        fi

        DIR=$JAVA_DIR/$ARCH_LIB/native_threads
        if test ! -d $DIR; then
            MSG="jdk arch directory $DIR does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        else
            JAVA_ARCH_NATIVE_LIB=$DIR
            JAVA_ARCH_NATIVE_RUNTIME_LIBS=$DIR
        fi

        LIB=$DIR/$JAVA_SHLIB
        if test ! -f $LIB; then
            MSG="jdk shared library $LIB does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        fi

    else

        # if java 1.2 then look in the new jre lib locations

        DIR=$JAVA_DIR/jre/$ARCH_LIB
        if test ! -d $DIR; then
            MSG="jdk directory $DIR does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        else
            JAVA_ARCH_GREEN_LIB=$DIR
            JAVA_ARCH_GREEN_RUNTIME_LIBS=$DIR
            JAVA_ARCH_NATIVE_LIB=$DIR
            JAVA_ARCH_NATIVE_RUNTIME_LIBS=$DIR
        fi

        LIB=$DIR/$JAVA_SHLIB
        if test ! -f $LIB; then
            MSG="jdk shared library $LIB does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        fi

        # A "production" release has no green_threads or native_threads dir

        if test "$PRODUCTION_RELEASE" = "0"; then

        DIR=$JAVA_DIR/jre/$ARCH_LIB/green_threads
        if test ! -d $DIR; then
            MSG="jdk directory $DIR does not exist"
            echo $MSG >&5
            echo "configure: warning: $MSG" 1>&2
        else
            JAVA_ARCH_GREEN_RUNTIME_LIBS=$JAVA_ARCH_GREEN_RUNTIME_LIBS:$DIR
        fi

        DIR=$JAVA_DIR/jre/$ARCH_LIB/native_threads
        if test ! -d $DIR; then
            MSG="jdk directory $DIR does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        else
            JAVA_ARCH_NATIVE_RUNTIME_LIBS=$JAVA_ARCH_NATIVE_RUNTIME_LIBS:$DIR
        fi

        DIR=$JAVA_DIR/jre/$ARCH_LIB/classic
        if test ! -d $DIR; then
            MSG="jdk directory $DIR does not exist"
            echo $MSG >&5
            { echo "configure: error: $MSG" 1>&2; exit 1; }
        else
            if test "$JAVA_ARCH_GREEN_LIB" != ""; then
                JAVA_ARCH_GREEN_RUNTIME_LIBS=$JAVA_ARCH_GREEN_RUNTIME_LIBS:$DIR
            fi

            JAVA_ARCH_NATIVE_RUNTIME_LIBS=$JAVA_ARCH_NATIVE_RUNTIME_LIBS:$DIR
        fi

        fi
        # End of "production" if block

    fi

    echo "$ac_t""$JAVA_ARCH_NATIVE_LIB" 1>&6


    fi
    # End JDK only tests





    # Start Kaffe only tests

    if test "$JAVA_NAME" = "kaffe"; then

    DIR=$JAVA_DIR/lib
    if test ! -d $DIR; then
        MSG="kaffe directory $DIR does not exist"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    else
        JAVA_ARCH_NATIVE_LIB=$DIR
        JAVA_ARCH_NATIVE_RUNTIME_LIBS=$DIR
    fi
    
    DIR=$JAVA_DIR/lib/kaffe
    if test ! -d $DIR; then
        MSG="kaffe directory $DIR does not exist"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    else
        JAVA_ARCH_NATIVE_RUNTIME_LIBS=$JAVA_ARCH_NATIVE_RUNTIME_LIBS:$DIR
    fi

    LIB=$JAVA_DIR/lib/libkaffevm.so
    if test ! -f $LIB; then
        MSG="kaffe shared library $LIB does not exist"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    else
        TCLBLEND_LIBS="-lkaffevm -lpthread"
        TCLBLEND_SHLIB_NAMES="libkaffevm.so libpthread.so"
    fi

    TCLBLEND_LD_PRELOAD=
    TCLBLEND_LD_BIND_NOW=0

    fi
    # End Kaffe only tests




    echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
echo "configure:1640: checking how to run the C preprocessor" >&5
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
    # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and "${CC-cc}" will confuse make.
  CPP="${CC-cc} -E"
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp.
  cat > conftest.$ac_ext <<EOF
#line 1655 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1661: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.$ac_ext <<EOF
#line 1672 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1678: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CPP="${CC-cc} -nologo -E"
  cat > conftest.$ac_ext <<EOF
#line 1689 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1695: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
fi
rm -f conftest*
  ac_cv_prog_CPP="$CPP"
fi
  CPP="$ac_cv_prog_CPP"
else
  ac_cv_prog_CPP="$CPP"
fi
echo "$ac_t""$CPP" 1>&6

echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
echo "configure:1720: checking for ANSI C header files" >&5
if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1725 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1733: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
if test -z "$ac_err"; then
  rm -rf conftest*
  ac_cv_header_stdc=yes
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1750 "configure"
#include "confdefs.h"
#include <string.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep "memchr" >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1768 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep "free" >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
  :
else
  cat > conftest.$ac_ext <<EOF
#line 1789 "configure"
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
if { (eval echo configure:1800: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
then
  :
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_header_stdc=no
fi
rm -fr conftest*
fi

fi
fi

echo "$ac_t""$ac_cv_header_stdc" 1>&6
if test $ac_cv_header_stdc = yes; then
  cat >> confdefs.h <<\EOF
#define STDC_HEADERS 1
EOF

fi

    # generic/javaCmd.c calls memset
    for ac_func in memset
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
echo "configure:1827: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1832 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char $ac_func(); below.  */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char $ac_func();

int main() {

/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1855: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
fi

if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&6
fi
done


fi

# End of tclblend's java platform detection section 







# Test the java tools supplied with the JVM


echo $ac_n "checking the Java compiler""... $ac_c" 1>&6
echo "configure:1894: checking the Java compiler" >&5

CLASSPATH=$JAVA_CLASSPATH
export CLASSPATH
echo "Using CLASSPATH=$CLASSPATH" >&5

echo "Copied $srcdir/../src/Test.tcl to `pwd`" >&5
cp $srcdir/../src/Test.tcl .

rm -f Test.class
echo "$JAVAC -d . $srcdir/../src/Test.java" >&5
if env $JAVAC -d . $srcdir/../src/Test.java 1>&5 2>&5 &&
    test -f Test.class ; then
    echo "$ac_t""the Java compiler works" 1>&6

    echo $ac_n "checking the -native flag to the Java runtime""... $ac_c" 1>&6
echo "configure:1910: checking the -native flag to the Java runtime" >&5

    CLASSPATH=$JAVA_CLASSPATH:.
    export CLASSPATH
    echo "Using CLASSPATH=$CLASSPATH" >&5

    if test "$JAVA_NAME" = "jdk"; then
	echo "$JAVA -native Test" >&5
    fi
    if test "$JAVA_NAME" = "jdk" &&
	test "`$JAVA -native Test 2>&5`" = "OK"; then
        JAVA_FLAGS=-native
        echo "the -native flag works" >&5
        echo "$ac_t""the -native flag works" 1>&6

        # -native does not work correctly under JDK 1.1.7 from Blackdown.
        # The problem is related to IO from a shell script.
	# Currently we ignore the JAVA_VERISON FLAG but we really should
	# fix that so that it works for the blackdown port of 1.2. 
        if test "`uname -s`" = "Linux"; then
            JAVA_FLAGS=""
            MSG="skipping -native option because jacl has some problems running with native threads on linux with JDK 1.1 from Blackdown"
            echo $MSG >&5
            echo "configure: warning: $MSG" 1>&2
        fi
    else
        # If -native is not supported then run without it
	echo "$JAVA Test" >&5
	if test "`$JAVA Test 2>&5`" = "OK"; then
            JAVA_FLAGS=""
            MSG="the -native flag does not work"
            echo $MSG >&5
            echo "$ac_t""$MSG" 1>&6
        else
            { echo "configure: error: could not run simple test program Test.class with $JAVA, you need to check the Java runtime to make sure it is installed correctly" 1>&2; exit 1; }
        fi
    fi

    if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then
        #test out the javah program on our Test.class file and generate Test.h
        echo $ac_n "checking the Java header generation program""... $ac_c" 1>&6
echo "configure:1951: checking the Java header generation program" >&5

        CLASSPATH=$JAVA_CLASSPATH:.
        export CLASSPATH
        echo "Using CLASSPATH=$CLASSPATH" >&5

        rm -f Test.h
	echo "$JAVAH -jni -o Test.h Test" >&5
        if env $JAVAH -jni -o Test.h Test 2>&5 &&
	    test -f Test.h; then

	    # Echo the lines we might be looking for into config.log
            echo "# Possible matches for method foo" >&5
	    if env grep foo Test.h 1>&5 2>&5 ; then
                echo "# End of possible matches for method foo" >&5
            else
                echo "# No mathes for method foo" >&5
                echo "configure: warning:  no lines matched method foo in Test.h" 1>&2
            fi

	    #make sure the JNI style func got defined in the file
            echo "egrep 'JNIEXPORT[ |\t]+void[ |\t]+JNICALL[ |\t]+Java_Test_foo' Test.h" >&5
	    if env egrep 'JNIEXPORT[ |\t]+void[ |\t]+JNICALL[ |\t]+Java_Test_foo' Test.h 1>&5 2>&5; then
                echo "$ac_t""the Java header generation program works" 1>&6
            else
                echo "No JNI signature matches found in Test.h" >&5
                { echo "configure: error: Could not find native function definition in Test.h
generated by $JAVAH" 1>&2; exit 1; }
            fi

        else
            { echo "configure: error: Could not generate header from Test.class with $JAVAH" 1>&2; exit 1; }
        fi
    fi

    echo $ac_n "checking the Java archive program""... $ac_c" 1>&6
echo "configure:1987: checking the Java archive program" >&5
    echo  ""

    # use jar program to create an uncompressed archive

    CLASSPATH=$JAVA_CLASSPATH
    export CLASSPATH
    echo "Using CLASSPATH=$CLASSPATH" >&5

    rm -f Test.jar
    echo  "$JAR -cf0 Test.jar Test.class" >&5
    if env $JAR -cf0 Test.jar Test.class 2>&5 && test -f Test.jar; then
        echo "$ac_t""the jar program creates uncompressed archives" 1>&6
    else
        MSG="the jar program could not create an uncompressed archive"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi

    # test out extraction of .class file from an uncompressed jar

    rm -f Test.class
    echo  "$JAR -xf Test.jar" >&5
    if env $JAR -xf Test.jar 2>&5 && test -f Test.class; then
        echo "$ac_t""the jar program extracts uncompressed archives" 1>&6
    else
        MSG="the jar program could not extract from an uncompressed archive" 
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi

    # use jar program to create a compressed archive
    rm -f Test.jar
    echo  "$JAR -cf Test.jar Test.class" >&5
    if env $JAR -cf Test.jar Test.class 2>&5 && test -f Test.jar; then
        echo "$ac_t""the jar program creates compressed archives" 1>&6
    else
        MSG="the jar program could not create a compressed archive"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi

    # test out extraction of .class file from a compressed jar

    rm -f Test.class
    echo  "$JAR -xf Test.jar" >&5
    if env $JAR -xf Test.jar 2>&5 && test -f Test.class; then
        echo "$ac_t""the jar program extracts compressed archives" 1>&6
    else
        MSG="the jar program could not extract from a compressed archive"
        echo $MSG >&5
        { echo "configure: error: $MSG" 1>&2; exit 1; }
    fi

    # clean up, people might think they need Test.jar
    rm -f Test.jar


    # Run Test.class again so that we are sure the jar
    # programs did not screw it up

    echo $ac_n "checking that the jar program did not corrupt the test file""... $ac_c" 1>&6
echo "configure:2049: checking that the jar program did not corrupt the test file" >&5

    CLASSPATH=$JAVA_CLASSPATH:.
    export CLASSPATH
    echo "Using CLASSPATH=$CLASSPATH" >&5

    echo "$JAVA Test" >&5
    if test "`$JAVA Test 2>&5`" = "OK"; then
        echo "$ac_t""it did not" 1>&6
    else
        { echo "configure: error: Test.class has been corrupted." 1>&2; exit 1; }
    fi

    # Test.class is not removed because it is needed later
    # to verify that the installed shell is working.

else
    MSG="Could not compile simple test program Test.java
with $JAVAC"
    echo $MSG >&5
    { echo "configure: error: $MSG" 1>&2; exit 1; }
fi



#--------------------------------------------------------------------
#	If the TCLJAVA variable equals tclblend or both then we 
#       need to grab some variables from the tclConfig.sh
#--------------------------------------------------------------------

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

    #--------------------------------------------------------------------
    #	See if there was a command-line option for where Tcl is;  if
    #	not, assume that its top-level directory is a sibling of ours.
    #--------------------------------------------------------------------
    
    # Check whether --with-tcl or --without-tcl was given.
if test "${with_tcl+set}" = set; then
  withval="$with_tcl"
  TCL_BIN_DIR=$withval
else
  TCL_BIN_DIR="$srcdir/../../tcl8.0.5/unix"
fi


    if test ! -d $TCL_BIN_DIR; then
        { echo "configure: error: Tcl directory could not be located.
Use the --with-tcl=<dirName> configure flag to specify the location." 1>&2; exit 1; }
    else
	TCL_BIN_DIR=`cd $TCL_BIN_DIR; pwd`
    fi

    echo "checking for Tcl build in $TCL_BIN_DIR"

    if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
        # provide shortcut if --with-tcl=$PATH/tcl8.X was given
        if test -f $TCL_BIN_DIR/unix/tclConfig.sh; then
            TCL_BIN_DIR=$TCL_BIN_DIR/unix
        else
	    { echo "configure: error: Tcl was not configured in the directory $TCL_BIN_DIR." 1>&2; exit 1; }
        fi
    fi

    #--------------------------------------------------------------------
    #	Read in configuration information generated by Tcl for shared
    #	libraries, and arrange for it to be substituted into our
    #	Makefile.
    #--------------------------------------------------------------------

    file=$TCL_BIN_DIR/tclConfig.sh
    . $file
    if test $TCL_SHARED_BUILD -eq 0 ; then
	{ echo "configure: error: Tcl was not built correctly.  
Make sure Tcl was configured with --enable-shared." 1>&2; exit 1; }
    fi

    CC=$TCL_CC
    SHLIB_CFLAGS=$TCL_SHLIB_CFLAGS
    SHLIB_LD=$TCL_SHLIB_LD
    SHLIB_LD_LIBS=$TCL_SHLIB_LD_LIBS
    SHLIB_SUFFIX=$TCL_SHLIB_SUFFIX
    SHLIB_VERSION=$TCL_SHLIB_VERSION

    if test "$TCL_DBGX" = "g"; then
        if test "$TCL_CFLAGS_DEBUG" = ""; then
            TCL_CFLAGS='-g'
        else
            TCL_CFLAGS=$TCL_CFLAGS_DEBUG
        fi
    else
        if test "$TCL_CFLAGS_OPTIMIZE" = ""; then
            TCL_CFLAGS='-O'
        else
            TCL_CFLAGS=$TCL_CFLAGS_OPTIMIZE
        fi
    fi

    # Default for SHLIB_LD_LIBS if empty (fixes tcl config bug)
    if test "`uname -s`" = "Linux" || test "`uname -s`" = "IRIX"; then
        if test "$SHLIB_LD_LIBS" = ""; then
            echo "Using SHLIB_LD_LIBS on `uname -s` workaround" >&5
            SHLIB_LD_LIBS='${LIBS}'
        else
            echo "Not using SHLIB_LD_LIBS on `uname -s` workaround" >&5
        fi
    fi

    # Fix up the TCL_LD_SEARCH_FLAGS when running under Solaris

    case "`uname -s`" in
        SunOS*)
            TCL_LD_SEARCH_FLAGS=`echo ${TCL_LD_SEARCH_FLAGS} | sed -e 's/-Wl,-R,/-R /'`
            ;;
        IRIX)
            TCL_LD_SEARCH_FLAGS=`echo ${TCL_LD_SEARCH_FLAGS} | sed -e 's/-Wl,-rpath,/-rpath /'`
            ;;
    esac

    # Define used when we compile with kaffe
    if test "$JAVA_NAME" = "kaffe"; then
        TCL_CFLAGS="$TCL_CFLAGS -DTCLBLEND_KAFFE"
    fi

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
fi




#
# Check for the installed version of tclsh and wish. we need to use the
# one we compiled against because you can not compile with one version
# and then load into another. If you compiled Tcl Blend with Tcl 8.1 and
# then load it into a Tcl 8.0 interp, it will segfault.
#

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

  # Check to make sure that tclsh has been built by looking for the
  # tclsh executable in the TCL_BIN_DIR directory.

  if test ! -x $TCL_BIN_DIR/tclsh; then
    { echo "configure: error: Tcl was configued in $TCL_BIN_DIR, but it has not been built, please build it and run configure again." 1>&2; exit 1; }
  fi

  # Double check that tclsh works and that it is tclsh8.0 or better
  # We need to set LD_LIBRARY_PATH and SHLIB_PATH so that Tcl can find its
  # shared library in the build directory on a Unix or HP-UX system.

  LD_LIBRARY_PATH=$TCL_BIN_DIR:$LD_LIBRARY_PATH
  export LD_LIBRARY_PATH
  SHLIB_PATH=$TCL_BIN_DIR:$SHLIB_PATH
  export SHLIB_PATH

  TCLSH_LOC=$TCL_BIN_DIR/tclsh
  rm -f tcl_version.tcl
  echo 'puts [expr {[info tclversion] >= 8.0}] ; exit 0' > tcl_version.tcl
  if test "`$TCLSH_LOC tcl_version.tcl 2>&5`" = "1"; then
      echo "$ac_t""Tcl executable $TCLSH_LOC works" 1>&6
      rm -f tcl_version.tcl
  else
      # If the shell did not run or it was not at least Tcl 8.0, generate error
      rm -f tcl_version.tcl
      { echo "configure: error: $TCLSH_LOC does not work or is not the correct version" 1>&2; exit 1; }
  fi

  # Now check to see if "make install" has been run in the tcl directory.
  # The installed executable name is tclsh8.0, tclsh8.1, or tclsh8.2.
  # We also assume that wish is going to be installed in the same
  # location, which could be incorrect but oh well.

  TCLSH=$TCL_EXEC_PREFIX/bin/tclsh$TCL_VERSION
  WISH=$TCL_EXEC_PREFIX/bin/wish$TCL_VERSION

  if test ! -x $TCLSH; then
      echo "configure: warning: Tcl has not been installed yet, it must be installed before installing Tcl Blend" 1>&2
  fi

  
  

fi



# Subst variables that are used in both jacl and tclblend

# Directory where we are building, used for CLASSPATH when we test
BUILD_DIR=`pwd`


















if test $TCLJAVA = "jacl"; then 
    PROCESS_FILES="Makefile jaclsh"
elif test $TCLJAVA = "tclblend" && test $BOTH != "true"; then
    PROCESS_FILES="Makefile jtclsh"
else
    PROCESS_FILES="Makefile jtclsh jaclsh"
fi

trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs.  It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already.  You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
  case `(ac_space=' '; set | grep ac_space) 2>&1` in
  *ac_space=\ *)
    # `set' does not quote correctly, so add quotes (double-quote substitution
    # turns \\\\ into \\, and sed turns \\ into \).
    sed -n \
      -e "s/'/'\\\\''/g" \
      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
    ;;
  *)
    # `set' quotes correctly as required by POSIX, so do not add quotes.
    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
    ;;
  esac >> confcache
if cmp -s $cache_file confcache; then
  :
else
  if test -w $cache_file; then
    echo "updating cache $cache_file"
    cat confcache > $cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi
fi
rm -f confcache

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
cat > conftest.defs <<\EOF
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
s%\[%\\&%g
s%\]%\\&%g
s%\$%$$%g
EOF
DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
rm -f conftest.defs


# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.13"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr `echo "$PROCESS_FILES" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@SHELL@%$SHELL%g
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@FFLAGS@%$FFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@TMP_KAFFE@%$TMP_KAFFE%g
s%@TMP_JAVAC@%$TMP_JAVAC%g
s%@TMP_DDD@%$TMP_DDD%g
s%@TMP_JIKES@%$TMP_JIKES%g
s%@CPP@%$CPP%g
s%@CC@%$CC%g
s%@SHLIB_CFLAGS@%$SHLIB_CFLAGS%g
s%@SHLIB_LD@%$SHLIB_LD%g
s%@SHLIB_LD_LIBS@%$SHLIB_LD_LIBS%g
s%@SHLIB_SUFFIX@%$SHLIB_SUFFIX%g
s%@SHLIB_VERSION@%$SHLIB_VERSION%g
s%@TCL_BUILD_LIB_SPEC@%$TCL_BUILD_LIB_SPEC%g
s%@TCL_DBGX@%$TCL_DBGX%g
s%@TCL_CFLAGS@%$TCL_CFLAGS%g
s%@TCL_LIBS@%$TCL_LIBS%g
s%@TCL_VERSION@%$TCL_VERSION%g
s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
s%@TCL_LD_SEARCH_FLAGS@%$TCL_LD_SEARCH_FLAGS%g
s%@JAVA_ARCH_INCLUDE@%$JAVA_ARCH_INCLUDE%g
s%@JAVA_ARCH_GREEN_LIB@%$JAVA_ARCH_GREEN_LIB%g
s%@JAVA_ARCH_GREEN_RUNTIME_LIBS@%$JAVA_ARCH_GREEN_RUNTIME_LIBS%g
s%@JAVA_ARCH_NATIVE_LIB@%$JAVA_ARCH_NATIVE_LIB%g
s%@JAVA_ARCH_NATIVE_RUNTIME_LIBS@%$JAVA_ARCH_NATIVE_RUNTIME_LIBS%g
s%@TCLBLEND_LIBS@%$TCLBLEND_LIBS%g
s%@TCLBLEND_SHLIB_NAMES@%$TCLBLEND_SHLIB_NAMES%g
s%@TCLBLEND_LD_PRELOAD@%$TCLBLEND_LD_PRELOAD%g
s%@TCLBLEND_LD_BIND_NOW@%$TCLBLEND_LD_BIND_NOW%g
s%@WISH@%$WISH%g
s%@TCLSH@%$TCLSH%g
s%@BUILD_DIR@%$BUILD_DIR%g
s%@JAVA@%$JAVA%g
s%@JAVA_G@%$JAVA_G%g
s%@JAVAC@%$JAVAC%g
s%@JAVAH@%$JAVAH%g
s%@JAR@%$JAR%g
s%@JDB@%$JDB%g
s%@DDD@%$DDD%g
s%@JAVA_CLASSPATH@%$JAVA_CLASSPATH%g
s%@JAVA_FLAGS@%$JAVA_FLAGS%g
s%@JAVA_INCLUDE@%$JAVA_INCLUDE%g
s%@TCLJAVA_VERSION@%$TCLJAVA_VERSION%g
s%@TCLJAVA_NODOT_VERSION@%$TCLJAVA_NODOT_VERSION%g
s%@TCLJAVA@%$TCLJAVA%g

CEOF
EOF

cat >> $CONFIG_STATUS <<\EOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi
EOF

cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"$PROCESS_FILES"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac


  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

EOF
cat >> $CONFIG_STATUS <<EOF

EOF
cat >> $CONFIG_STATUS <<\EOF

exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1


